Wait for inventory
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/wait-for-inventory \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revised_shipping_date": "<string>",
"notify_customer": true
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/wait-for-inventory"
payload = {
"revised_shipping_date": "<string>",
"notify_customer": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({revised_shipping_date: '<string>', notify_customer: true})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/shipping/shipments/{order_number}/wait-for-inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true
}Shipping
Wait for inventory
Wait for inventory
POST
/
shipping
/
shipments
/
{order_number}
/
wait-for-inventory
Wait for inventory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order Number
Body
application/json
Was this page helpful?
⌘I